// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.6.1
// source: lgg.proto

package lgg

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type IPAddress struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value string `protobuf:"bytes,1,opt,name=value,proto3" json:"value,omitempty"`
}

func (x *IPAddress) Reset() {
	*x = IPAddress{}
	if protoimpl.UnsafeEnabled {
		mi := &file_lgg_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *IPAddress) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*IPAddress) ProtoMessage() {}

func (x *IPAddress) ProtoReflect() protoreflect.Message {
	mi := &file_lgg_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use IPAddress.ProtoReflect.Descriptor instead.
func (*IPAddress) Descriptor() ([]byte, []int) {
	return file_lgg_proto_rawDescGZIP(), []int{0}
}

func (x *IPAddress) GetValue() string {
	if x != nil {
		return x.Value
	}
	return ""
}

type LocationSet struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Locations []string `protobuf:"bytes,1,rep,name=locations,proto3" json:"locations,omitempty"`
}

func (x *LocationSet) Reset() {
	*x = LocationSet{}
	if protoimpl.UnsafeEnabled {
		mi := &file_lgg_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *LocationSet) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LocationSet) ProtoMessage() {}

func (x *LocationSet) ProtoReflect() protoreflect.Message {
	mi := &file_lgg_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LocationSet.ProtoReflect.Descriptor instead.
func (*LocationSet) Descriptor() ([]byte, []int) {
	return file_lgg_proto_rawDescGZIP(), []int{1}
}

func (x *LocationSet) GetLocations() []string {
	if x != nil {
		return x.Locations
	}
	return nil
}

type LatencySet struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Entries []*LatencyEntry `protobuf:"bytes,1,rep,name=entries,proto3" json:"entries,omitempty"`
}

func (x *LatencySet) Reset() {
	*x = LatencySet{}
	if protoimpl.UnsafeEnabled {
		mi := &file_lgg_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *LatencySet) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LatencySet) ProtoMessage() {}

func (x *LatencySet) ProtoReflect() protoreflect.Message {
	mi := &file_lgg_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LatencySet.ProtoReflect.Descriptor instead.
func (*LatencySet) Descriptor() ([]byte, []int) {
	return file_lgg_proto_rawDescGZIP(), []int{2}
}

func (x *LatencySet) GetEntries() []*LatencyEntry {
	if x != nil {
		return x.Entries
	}
	return nil
}

type LatencyEntry struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Location string `protobuf:"bytes,1,opt,name=location,proto3" json:"location,omitempty"`
	Latency  int32  `protobuf:"varint,2,opt,name=latency,proto3" json:"latency,omitempty"`
}

func (x *LatencyEntry) Reset() {
	*x = LatencyEntry{}
	if protoimpl.UnsafeEnabled {
		mi := &file_lgg_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *LatencyEntry) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LatencyEntry) ProtoMessage() {}

func (x *LatencyEntry) ProtoReflect() protoreflect.Message {
	mi := &file_lgg_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LatencyEntry.ProtoReflect.Descriptor instead.
func (*LatencyEntry) Descriptor() ([]byte, []int) {
	return file_lgg_proto_rawDescGZIP(), []int{3}
}

func (x *LatencyEntry) GetLocation() string {
	if x != nil {
		return x.Location
	}
	return ""
}

func (x *LatencyEntry) GetLatency() int32 {
	if x != nil {
		return x.Latency
	}
	return 0
}

var File_lgg_proto protoreflect.FileDescriptor

var file_lgg_proto_rawDesc = []byte{
	0x0a, 0x09, 0x6c, 0x67, 0x67, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x21, 0x0a, 0x09, 0x49,
	0x50, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75,
	0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22, 0x2b,
	0x0a, 0x0b, 0x4c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x65, 0x74, 0x12, 0x1c, 0x0a,
	0x09, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x09,
	0x52, 0x09, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x22, 0x35, 0x0a, 0x0a, 0x4c,
	0x61, 0x74, 0x65, 0x6e, 0x63, 0x79, 0x53, 0x65, 0x74, 0x12, 0x27, 0x0a, 0x07, 0x65, 0x6e, 0x74,
	0x72, 0x69, 0x65, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x0d, 0x2e, 0x4c, 0x61, 0x74,
	0x65, 0x6e, 0x63, 0x79, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x07, 0x65, 0x6e, 0x74, 0x72, 0x69,
	0x65, 0x73, 0x22, 0x44, 0x0a, 0x0c, 0x4c, 0x61, 0x74, 0x65, 0x6e, 0x63, 0x79, 0x45, 0x6e, 0x74,
	0x72, 0x79, 0x12, 0x1a, 0x0a, 0x08, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x18,
	0x0a, 0x07, 0x6c, 0x61, 0x74, 0x65, 0x6e, 0x63, 0x79, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52,
	0x07, 0x6c, 0x61, 0x74, 0x65, 0x6e, 0x63, 0x79, 0x42, 0x06, 0x5a, 0x04, 0x2f, 0x6c, 0x67, 0x67,
	0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_lgg_proto_rawDescOnce sync.Once
	file_lgg_proto_rawDescData = file_lgg_proto_rawDesc
)

func file_lgg_proto_rawDescGZIP() []byte {
	file_lgg_proto_rawDescOnce.Do(func() {
		file_lgg_proto_rawDescData = protoimpl.X.CompressGZIP(file_lgg_proto_rawDescData)
	})
	return file_lgg_proto_rawDescData
}

var file_lgg_proto_msgTypes = make([]protoimpl.MessageInfo, 4)
var file_lgg_proto_goTypes = []interface{}{
	(*IPAddress)(nil),    // 0: IPAddress
	(*LocationSet)(nil),  // 1: LocationSet
	(*LatencySet)(nil),   // 2: LatencySet
	(*LatencyEntry)(nil), // 3: LatencyEntry
}
var file_lgg_proto_depIdxs = []int32{
	3, // 0: LatencySet.entries:type_name -> LatencyEntry
	1, // [1:1] is the sub-list for method output_type
	1, // [1:1] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_lgg_proto_init() }
func file_lgg_proto_init() {
	if File_lgg_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_lgg_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*IPAddress); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_lgg_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*LocationSet); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_lgg_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*LatencySet); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_lgg_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*LatencyEntry); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_lgg_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   4,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_lgg_proto_goTypes,
		DependencyIndexes: file_lgg_proto_depIdxs,
		MessageInfos:      file_lgg_proto_msgTypes,
	}.Build()
	File_lgg_proto = out.File
	file_lgg_proto_rawDesc = nil
	file_lgg_proto_goTypes = nil
	file_lgg_proto_depIdxs = nil
}
